GLS ShipIT 5.0.11 GLS ShipIT - SOAP services

Public Member Functions | Protected Attributes | List of all members
eu.gls_group.fpcs.v1.common.ExchangeService Class Reference

## Public Member Functions
String | getServiceName ()
void | setServiceName (String value)
Address | getAddress ()
void | setAddress (Address value)
BigDecimal | getExpectedWeight ()
void | setExpectedWeight (BigDecimal value)
String | getExchangeTrackID ()
void | setExchangeTrackID (String value)

## Protected Attributes
String | serviceName
Address | address
BigDecimal | expectedWeight
String | exchangeTrackID

## Detailed Description

Exchange service attributes

Java class for ExchangeService complex type.

The following schema fragment specifies the expected content contained within this class.

    <complexType name="ExchangeService">
      <complexContent>
        <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
          <sequence>
            <element name="ServiceName" type="{http://www.w3.org/2001/XMLSchema}string"/>
            <element name="Address" type="{http://fpcs.gls-group.eu/v1/Common}Address"/>
            <element name="ExpectedWeight" type="{http://fpcs.gls-group.eu/v1/Common}Weight" minOccurs="0"/>
            <element name="ExchangeTrackID" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
          </sequence>
        </restriction>
      </complexContent>
    </complexType>

Definition at line 47 of file ExchangeService.java.

## Member Function Documentation

## ◆ getAddress()

Address eu.gls_group.fpcs.v1.common.ExchangeService.getAddress | ( |  | ) |

Gets the value of the address property.

Returns
  possible object is Address

Definition at line 92 of file ExchangeService.java.

## ◆ getExchangeTrackID()

String eu.gls_group.fpcs.v1.common.ExchangeService.getExchangeTrackID | ( |  | ) |

Gets the value of the exchangeTrackID property.

Returns
  possible object is String

Definition at line 140 of file ExchangeService.java.

## ◆ getExpectedWeight()

BigDecimal eu.gls_group.fpcs.v1.common.ExchangeService.getExpectedWeight | ( |  | ) |

Gets the value of the expectedWeight property.

Returns
  possible object is String

Definition at line 116 of file ExchangeService.java.

## ◆ getServiceName()

String eu.gls_group.fpcs.v1.common.ExchangeService.getServiceName | ( |  | ) |

Gets the value of the serviceName property.

Returns
  possible object is String

Definition at line 68 of file ExchangeService.java.

## ◆ setAddress()

void eu.gls_group.fpcs.v1.common.ExchangeService.setAddress | ( | Address | value | ) |

Sets the value of the address property.

Parameters

  value | allowed object is Address

Definition at line 104 of file ExchangeService.java.

## ◆ setExchangeTrackID()

void eu.gls_group.fpcs.v1.common.ExchangeService.setExchangeTrackID | ( | String | value | ) |

Sets the value of the exchangeTrackID property.

Parameters

  value | allowed object is String

Definition at line 152 of file ExchangeService.java.

## ◆ setExpectedWeight()

void eu.gls_group.fpcs.v1.common.ExchangeService.setExpectedWeight | ( | BigDecimal | value | ) |

Sets the value of the expectedWeight property.

Parameters

  value | allowed object is String

Definition at line 128 of file ExchangeService.java.

## ◆ setServiceName()

void eu.gls_group.fpcs.v1.common.ExchangeService.setServiceName | ( | String | value | ) |

Sets the value of the serviceName property.

Parameters

  value | allowed object is String

Definition at line 80 of file ExchangeService.java.

## Member Data Documentation

## ◆ address

Address eu.gls_group.fpcs.v1.common.ExchangeService.address
| protected

Definition at line 52 of file ExchangeService.java.

## ◆ exchangeTrackID

String eu.gls_group.fpcs.v1.common.ExchangeService.exchangeTrackID
| protected

Definition at line 58 of file ExchangeService.java.

## ◆ expectedWeight

BigDecimal eu.gls_group.fpcs.v1.common.ExchangeService.expectedWeight
| protected

Definition at line 56 of file ExchangeService.java.

## ◆ serviceName

String eu.gls_group.fpcs.v1.common.ExchangeService.serviceName
| protected

Definition at line 50 of file ExchangeService.java.

The documentation for this class was generated from the following file:

- ExchangeService.java